local on_chunk_generated = function(event)
	local area = event.area
	local surface = event.surface
	local tiles = {}
	local top_left = area.left_top
	for x = top_left.x-1, top_left.x + 32 do
		for y = top_left.y-1, top_left.y + 32 do
			table.insert(tiles, {name = "lab-dark-2", position = {x,y}})
		end
	end
	surface.set_tiles(tiles)
	local entities = event.surface.find_entities(event.area)
	for _, entity in pairs(entities) do
		if entity.type == "simple-entity" or entity.type == "resource" or entity.type == "tree" then
			entity.destroy()
		end
	end
end

script.on_event(defines.events.on_chunk_generated, on_chunk_generated)